Create Application (API)
Deprecated: Use CreateApplication instead to create an API application
Create a new API client. The client id will be generated and returned in the response. Depending on the chosen configuration also a secret will be generated and returned.
Path Parameters
Request Body
application/json
"API_AUTH_METHOD_TYPE_BASIC" | "API_AUTH_METHOD_TYPE_PRIVATE_KEY_JWT"Response Body
application/json
curl -X POST "https://loading/projects/string/apps/api" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{
"appId": "string",
"details": {
"sequence": 0,
"creationDate": "2023-01-15T01:30:15.01Z",
"changeDate": "2023-01-15T01:30:15.01Z",
"resourceOwner": "string"
},
"clientId": "string",
"clientSecret": "string"
}Was this page helpful?
Create a Personal-Access-Token (PAT)
Create a Personal-Access-Token (PAT): Deprecated: use [user service v2 AddPersonalAccessToken](/reference/api/user/zitadel.user.v2.UserService.AddPersonalAccessToken) instead. Generates a new PAT for the user. Currently only available ...
Create Application (OIDC)
Create Application (OIDC): Deprecated: Use [CreateApplication](/reference/api/application/zitadel.application.v2.ApplicationService.CreateApplication) instead to create an OIDC application. Create a new OIDC client. The clie...